Loading...
Searching...
No Matches
Opm::gpuistl::ValueAsPointer< T > Class Template Reference

A value stored with a pointer interface. More...

`#include <gpu_smart_pointer.hpp>`

## Public Types

using | element_type = T

## Public Member Functions

| ValueAsPointer (const T &t)
OPM_HOST_DEVICE T * | operator-> ()
OPM_HOST_DEVICE T * | get ()
OPM_HOST_DEVICE const T * | operator-> () const
OPM_HOST_DEVICE const T * | get () const
OPM_HOST_DEVICE T & | operator* ()
OPM_HOST_DEVICE const T & | operator* () const

## Detailed Description

template<class T>
class Opm::gpuistl::ValueAsPointer< T >

A value stored with a pointer interface.

Can be used to wrap objects in GPU kernels that were otherwise stored as pointers

The documentation for this class was generated from the following file:

- opm/simulators/linalg/gpuistl/gpu_smart_pointer.hpp